Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a Databricks database. You'll need to provide a User Access Token, Http Path and Server Hostname:

  • User Access Token: Databricks access token. This can be created by a Databricks workspace owner by:

    • Clicking on your user on the top right

    • Selecting User Settings

    • Selecting Developer

    • Clicking on 'Manage' next to Access tokens

    • And clicking on Generate new token

  • httpPath: HTTP Path as specified by Databricks in SQL Warehouses -> [select your SQL warehouse name] -> connection details, e.g. /sql/1.0/warehouses/xxxxxxxxxxx

  • serverHostname: this is the Server hostname as specified by Databricks in SQL Warehouses -> [select your SQL warehouse name] -> connection details, e.g. abc-12345678-abcd.cloud.databricks.com .

Notes : To ensure that e.g. only the Luzmo application can access your Databricks instance, it is highly recommended to whitelist Luzmo's range of static IP addresses. You should whitelist Luzmo's range of IP addresses as described here .

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "properties": {
    "httpPath": "HTTP Path",
    "serverHostname": "Server hostname"
  },
  "id": "737770df-6292-49b1-aa8d-239d10f78a35",
  "provider": "databricks",
  "date": "2024-08-01T16:48:10.866Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "name": "Databricks connection",
  "description": null,
  "port": null,
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-08-01T16:48:10.866Z",
  "updated_at": "2024-08-01T16:48:10.903Z",
  "user_id": "e64a9830-0dad-4b11-a6d4-23972c124020",
  "plugin_id": "182b7059-0ad3-42dc-9a0d-4ea716e4f92a",
  "shareable_id": "c82684f3-09aa-4b05-a82f-c1ac9d83662a"
}